/* File: DIRENT.H
**
** From the GCC 2.5.8 Distribution
**
** 28-May-1998	J. Malmberg	Minor modifications
**
****************************************************************************/

#ifndef _DIRENT_H_
#define _DIRENT_H_

#define MAXVERS	20

struct dirent
	{
	  char	d_name[100];
	  int	vms_verscount;
	  int	vms_versions[MAXVERS];
	};

typedef struct _dirdesc
        {
          long				context;
          int				vms_wantversions;
          char				*pattern;
          struct dirent			entry;
          struct dsc$descriptor_s	pat;
        } DIR;

#define rewinddir(dirp)	seekdir((dirp), 0L)

#ifdef __cpluspus
extern "C"
  {
#endif
   extern DIR		*opendir();
   extern struct dirent	*readdir();
   extern long		telldir();
   extern void		seekdir();
   extern void		closedir();
   extern void		vmsreaddirversions();

#ifdef __cpluspus
  }
#endif


#endif _DIRENT_H_
